> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Minion Route



## OpenAPI

````yaml /api/openapi.json get /api/minions/{minion_id}
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/minions/{minion_id}:
    get:
      tags:
        - minions
      summary: Get Minion Route
      operationId: get_minion_route_api_minions__minion_id__get
      parameters:
        - name: minion_id
          in: path
          required: true
          schema:
            type: string
            title: Minion Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MinionDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MinionDetail:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          enum:
            - online
            - offline
            - pending
            - rejected
            - denied
          title: Status
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        grains:
          anyOf:
            - type: object
            - type: 'null'
          title: Grains
        last_refreshed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Refreshed At
        is_stale:
          type: boolean
          title: Is Stale
          default: false
      type: object
      required:
        - id
        - status
      title: MinionDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````